Name: libxml++
Version: 0.26.0
Release: 0.fdr.3.rh90
Epoch: 0
Summary: libxml++ is a C++ wrapper for the libxml2 XML parser library.
Group: System Environment/Libraries
License: LGPL
URL: http://libxmlplusplus.sourceforge.net/
Source: http://dl.sf.net/libxmlplusplus/libxml++-0.26.0.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libxml2-devel >= 0:2.5.1, doxygen, graphviz

%description
libxml++ is a C++ wrapper for the libxml2 XML parser library. It's original 
author is Ari Johnson and it is currently maintained by Christophe de Vienne 
and Murray Cumming.

%package devel
Summary: %{summary}
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: pkgconfig

%description devel
libxml++ is a C++ wrapper for the libxml2 XML parser library. It's original 
author is Ari Johnson and it is currently maintained by Christophe de Vienne 
and Murray Cumming.

This package contains the headers and libraries for libxml++ development.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}
make -C docs/reference

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
# Modify temporary working directories for files section.
rm -rf _reference _examples
mkdir _reference && cp -a docs/reference/html _reference/reference
mkdir _examples && cp -a examples _examples/examples
# Delete non-working makefiles, object files, prebuilt binaries and empty files.
find _examples -type f -a \( -name Makefile\* -o -name \*.o \
    -o \( -name example.C -a -perm +0111 \) -o -empty \) \
    -exec rm -f {} ';'
rm -rf _examples/*/*/.libs


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root,-)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/libxml++-0.1.so.*

%files devel
%defattr (-,root,root,-)
%doc _examples/examples _reference/reference
%{_includedir}/libxml++-1.0
%{_libdir}/libxml++-*a
%{_libdir}/libxml++-*.so
%{_libdir}/pkgconfig/libxml++-1.0.pc

%changelog
* Tue Nov 04 2003 Panu Matilainen <pmatilai@welho.com> - 0:0:26.0-0.fdr.3
- remove empty .libs directories

* Mon Nov  3 2003 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.26.0-0.fdr.2
- buildrequires graphviz
- devel package requires main package and pkgconfig
- own %%_includedir/libxml++-1.0
- clean up examples tree

* Tue Oct 21 2003 Panu Matilainen <pmatilai@welho.com>
- Initial Fedora packaging

